Page MenuHomePhabricator

Adapt IndexLookupFallbackMethod for glent requirements
Closed, ResolvedPublic

Description

Add a possibility to configure:

  • a scoring field
  • a static query filter (glent method or wiki/language field)
  • the ability to return an arbitrary parload to feed into the logs for analysis purposes (glent method name)

Event Timeline

dcausse created this task.Jul 4 2019, 9:27 AM
Restricted Application edited projects, added Discovery-Search; removed Discovery-Search (Current work). · View Herald TranscriptJul 4 2019, 9:27 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
dcausse triaged this task as Normal priority.Jul 4 2019, 9:28 AM
dcausse moved this task from needs triage to elastic / cirrus on the Discovery-Search board.
dcausse claimed this task.Jul 8 2019, 4:26 PM
dcausse moved this task from elastic / cirrus to Current work on the Discovery-Search board.

Change 521887 had a related patch set uploaded (by DCausse; owner: DCausse):
[mediawiki/extensions/CirrusSearch@master] Adapt IndexLookupFallback method for glent requirements

https://gerrit.wikimedia.org/r/521887

Change 521887 merged by jenkins-bot:
[mediawiki/extensions/CirrusSearch@master] Adapt IndexLookupFallback method for glent requirements

https://gerrit.wikimedia.org/r/521887

debt closed this task as Resolved.Jul 24 2019, 5:29 PM